package io.hydrosphere.mist

import akka.actor.ActorSystem
import org.eclipse.paho.client.mqttv3.{MqttClient, MqttMessage, MqttCallback, IMqttDeliveryToken}
import org.eclipse.paho.client.mqttv3.persist.MemoryPersistence

object MqttSuccessObj{
  var success: Boolean = false
  var readyPub: Boolean = false
  var readySub: Boolean = false
  var successPythonMqttPub: Boolean = false
}

object MQTTTest{
  def publish(message: String): Unit = {
    val persistence = new MemoryPersistence
    val client = new MqttClient(s"tcp://${MistConfig.Mqtt.host}:${MistConfig.Mqtt.port}", MqttClient.generateClientId, persistence)
    client.connect()
    val msgTopic = client.getTopic(MistConfig.Mqtt.publishTopic)
    val mqMessage = new MqttMessage(message.getBytes("utf-8"))
    msgTopic.publish(mqMessage)
    println(s"Publishing Data Test, Topic : ${msgTopic.getName}, Message : $mqMessage")
  }

  def subscribe(actorSystem: ActorSystem): Unit = {
    val persistence = new MemoryPersistence
    val mqttClient = new MqttClient(s"tcp://${MistConfig.Mqtt.host}:${MistConfig.Mqtt.port}", MqttClient.generateClientId, persistence)
    mqttClient.connect()
    mqttClient.subscribe(MistConfig.Mqtt.subscribeTopic)
    val callback = new MqttCallback {
      override def messageArrived(topic: String, message: MqttMessage): Unit = {
        println("Receiving Data Test, Topic : %s, Message : %s".format(topic, message))
        val stringMessage = message.toString

        if (stringMessage contains "test python publisher message")
          MqttSuccessObj.successPythonMqttPub = true

        stringMessage.split(':').drop(1).head.split(',').headOption.getOrElse("false") match {
          case "true" => MqttSuccessObj.success = true
          case "false" => MqttSuccessObj.success = false
          case _ =>
        }

      }

      override def connectionLost(cause: Throwable): Unit = {
        println(cause)
      }

      override def deliveryComplete(token: IMqttDeliveryToken): Unit = {
      }
    }
    mqttClient.setCallback(callback)
  }
}

